# PATCH /products/:product_id

**Resource:** [Products](./products.md)  
**MCP tool:** `update_product`  
**Scopes:** `products:write`  
**Write operation:** yes

Update a product. Pass only the fields you want to change.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `product_id` | path | string | yes |  |
| `name` | body | string | no |  |
| `sku` | body | string | no |  |
| `price` | body | number | no |  |
| `category` | body | string | no |  |
| `description` | body | string | no |  |
| `is_active` | body | boolean | no |  |

## Request example

```bash
curl -X PATCH   "https://api.trustpager.com/functions/v1/api/v1/products/:product_id"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"name":"...","sku":"...","price":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`